#ifndef FILECHOOSER_H
#define FILECHOOSER_H

#include <tqwidget.h>
#include <tqwidgetplugin.h>

class TQLineEdit;
class TQPushButton;

#ifdef FILECHOOSER_IS_WIDGET
#undef TQT_WIDGET_PLUGIN_EXPORT
#define TQT_WIDGET_PLUGIN_EXPORT
#endif

class TQT_WIDGET_PLUGIN_EXPORT FileChooser : public TQWidget
{
    TQ_OBJECT

    TQ_ENUMS( Mode )
    Q_PROPERTY( Mode mode READ mode WRITE setMode )
    Q_PROPERTY( TQString fileName READ fileName WRITE setFileName )

public:
    FileChooser( TQWidget *parent = 0, const char *name = 0);

    enum Mode { File, Directory };

    TQString fileName() const;
    Mode mode() const;

public Q_SLOTS:
    void setFileName( const TQString &fn );
    void setMode( Mode m );

Q_SIGNALS:
    void fileNameChanged( const TQString & );

private Q_SLOTS:
    void chooseFile();

private:
    TQLineEdit *lineEdit;
    TQPushButton *button;
    Mode md;

};

#endif
